#
# spec file for package python3-vine
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-vine
Version:        1.1.1
Release:        2.2
Summary:        Python promises
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://github.com/celery/vine/
Source:         https://pypi.io/packages/source/v/vine/vine-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# Test requirements
BuildRequires:  python3-case
BuildRequires:  python3-nose
BuildArch:      noarch

%description
Promise, async, future.

%prep
%setup -q -n vine-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python3 setup.py test

%files
%defattr(-,root,root,-)
%doc Changelog LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Sun Jul  3 2016 arun@gmx.de
- update to version 1.1.1:
  * Requirements: Tests now depends on :pypi:`case` 1.2.2
  * Five: python_2_unicode_compatible now ensures `__repr__` returns
    bytes on Python 2.
* Thu Jun  9 2016 toddrme2178@gmail.com
- Initial Python 3 version.
* Fri Jun  3 2016 tbechtold@suse.com
- Initial packaging (version 1.1.0)
